
package rubricapkg.dati;

/**
 * Gestisce un singolo nominativo nella rubrica. 
 * E' un oggetto algebrico.  
 *
 * @author  brandizi
 */
public class Persona
{
  
  /** Gestisce internamente le cose */
  private String nome, cognome;
  private Data nascita;
  private Indirizzo indirizzo;
  
  /** Costruttore con i dati necessari */
  public Persona ( String nome, String cognome, Data nascita, Indirizzo indirizzo)
  {
    this.nome = nome;
    this.cognome = cognome;
    this.nascita = nascita;
    this.indirizzo = indirizzo;
  }
  
  /** 
   * Getter  
   */
  public String getNome () {
    return this.nome;
  }

  public String getCognome () {
    return this.cognome;
  }

  public String getNascita () {
    return this.nascita;
  }

  public String getIndirizzo () {
    return this.indirizzo;
  }
  
}
