/*
 * Main.java
 *
 * Created on December 28, 2002, 11:51 PM
 */

package rubrica;

/**
 *
 * @author  brandizi
 */
public class Main
{
  
  /** Creates a new instance of Main */
  public Main ()
  {
  }
  
  /**
   * Gestisce il ciclo pincipale:
   * do
   *   leggi comando
   *   analizza comando
   *   esegui comando
   * finche' comando != fine
   *
   */
  public static void main (String[] args)
  {
      
    // Crea un oggetto rubrica
    Rubrica rubrica = new Rubrica ();
    RubricaParser parser = new RubricaParser ( rubrica );
    
    // Sar il comando "fine" a gestire l'uscita
    //
    while ( true )
    {
      String lineaComando = Util.leggiRigaComando ();
      Comando cmd;
      
      // Analizza 
      // 
      try {
        parser.parse ( lineaComando );
      }
      catch ( ParserException ex ) {
        System.out.println ( ex.getMessage () );
      }

      // Esegue 
      // 
      try {
        rubrica.esegui ();
      }
      catch ( ComandoException ex ) {
        System.out.println ( ex.getMessage () );
      }
      
    }
  }
  
}
