/*
 * Parser.java
 *
 * Created on December 28, 2002, 7:59 PM
 */

package rubricapkg.parser;

/**
 * Definisce un componente capace di analizzare una riga di comando
 *
 * @author  brandizi
 */
public interface Parser
{
  /* 
   * Deve saper ricavare la struttura che corrisponde a quanto analizzato, oppure
   * errore
   *
   */
  public Object parse ( String lineaComando ) throws ParserException;
}
